Bug 5337 - (int-151817) Ovi Maps gives up finding GPS lock too soon
(int-151817)
: Ovi Maps gives up finding GPS lock too soon
Status: RESOLVED FIXED
Product: Map
General
: 5.0/(3.2010.02-8)
: All Maemo
: Medium normal with 138 votes (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: location-framework-bugs
:
:
: int-151246
:
  Show dependency tree
 
Reported: 2009-10-12 17:29 UTC by luarvique
Modified: 2014-01-18 01:21 UTC (History)
72 users (show)

See Also:


Attachments
syslog while GPS shuts down due inactivity of Ovi Maps (44.46 KB, application/octet-stream)
2009-10-21 00:56 UTC, Jeroen Wouters
Details
syslog of two hours of GPS testing without getting a fix (160.61 KB, application/octet-stream)
2009-10-24 20:13 UTC, Jeroen Wouters
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description luarvique (reporter) 2009-10-12 17:29:21 UTC
SOFTWARE VERSION:
1.2009.41-10

STEPS TO REPRODUCE THE PROBLEM:
Go into an area where you have no network connection (cellular or WiFi) and try
getting GPS lock.

EXPECTED OUTCOME:
You can still get GPS lock, it just takes longer.

ACTUAL OUTCOME:
Cannot get GPS lock at all.

REPRODUCIBILITY:
always
Comment 1 Andre Klapper maemo.org 2009-10-12 21:52:31 UTC
Well, please do elaborate. This is quite short.
How long did you wait, how often did you try?
Comment 2 luarvique (reporter) 2009-10-12 22:23:05 UTC
(In reply to comment #1)
> Well, please do elaborate. This is quite short.
> How long did you wait, how often did you try?
Tried for the whole three days of Maemo Summit, many times a day, for 5-40
minutes at a time. Never got a lock. Is this sufficient amount of testing to
conclude that the problem exists?
Comment 3 Gary Birkett 2009-10-15 22:38:32 UTC
I can confirm this.

I spent 4 hours in the rain lost in Amsterdam with my n900 and no network
credit.
All the time I had the n900 trying to get a lock and everytime I pulled it out
to check had to dismiss useless network dialogs.
I had no connectivity, no way to get connectivity and needed gps.

i had preloaded the maps for the country (thank you jaffa) but could not get at
them properly or work out where I was.
Comment 4 Donn Morrison 2009-10-16 13:57:28 UTC
*** This bug has been confirmed by popular vote. ***
Comment 5 Marius Gedminas 2009-10-16 15:23:30 UTC
I managed to get a GPS fix in Amsterdam by standing still outdoors, not near
any tall buildings, for 6 minutes.  (This was 7 hours after I got my previous
fix using my hotel's wifi, so it already had the almanac data.)

I guess what I'm saying is that it's not impossible to get a fix without being
online, just bloody hard.  (Also, the location widget times out sooner and I
wouldn't be surprised to discover that it aborts the whole GPS fix process,
requiring a fresh start each time.)

It would help if we could get some indication about the number of satellites
the device has discovered, thus giving the user a sense of progress.  This is
what, e.g. Maemo Mapper does.
Comment 6 Andre Klapper maemo.org 2009-10-19 01:08:29 UTC
Hmm, anybody able to provide a syslog?
http://wiki.maemo.org/Documentation/devtools/maemo5/syslog
Comment 7 ossipena 2009-10-20 12:24:29 UTC
Definelty not a bug with this background information! Seems to be similar
function as N95's GPS without assisting.
Comment 8 luarvique (reporter) 2009-10-20 12:29:47 UTC
(In reply to comment #7)
> Definelty not a bug with this background information! Seems to be similar
> function as N95's GPS without assisting.
Just because N95 suffers from the same problem, you can't call it a feature :)
It is still a bug. The older tablets (i.e. N810) did not have it.
Comment 9 ossipena 2009-10-20 12:35:49 UTC
(In reply to comment #8)
> (In reply to comment #7)
> > Definelty not a bug with this background information! Seems to be similar
> > function as N95's GPS without assisting.
> Just because N95 suffers from the same problem, you can't call it a feature :)
> It is still a bug. The older tablets (i.e. N810) did not have it.
> 
did your n810 work at same places where n900 didn't?

gps assistance helps so much especially at conditions that are very hard to gps
signal receiving.
Comment 10 luarvique (reporter) 2009-10-20 12:48:46 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > (In reply to comment #7)
> > > Definelty not a bug with this background information! Seems to be similar
> > > function as N95's GPS without assisting.
> > Just because N95 suffers from the same problem, you can't call it a feature :)
> > It is still a bug. The older tablets (i.e. N810) did not have it.
> did your n810 work at same places where n900 didn't?
It did.

> gps assistance helps so much especially at conditions that are very hard to gps
> signal receiving.
The nature of this bug report is not to claim that N900 unassisted GPS
operation is bad where GPS signal reception is bad. The report claims that N900
GOS simply does not work when there is no assistance available (i.e. no
network).
Comment 11 ossipena 2009-10-20 13:00:49 UTC
> The nature of this bug report is not to claim that N900 unassisted GPS
> operation is bad where GPS signal reception is bad. The report claims that N900
> GOS simply does not work when there is no assistance available (i.e. no
> network).
> 

it is very big claim with this background info. next to nothing.
Comment 12 luarvique (reporter) 2009-10-20 13:03:55 UTC
(In reply to comment #11)
> > The nature of this bug report is not to claim that N900 unassisted GPS
> > operation is bad where GPS signal reception is bad. The report claims that N900
> > GOS simply does not work when there is no assistance available (i.e. no
> > network).
> it is very big claim with this background info. next to nothing.
Well, maybe. But all I know is that no matter where I try to get a GPS lock
with N900, it does not lock on unless there is data connection available.
Comment 13 Donn Morrison 2009-10-20 13:14:05 UTC
I voted for this bug (I previously noticed loooong fix times w/o network
access), but now I don't think it's valid (at least in the context of the
original summary).

I just tested this by putting the N900 into offline mode, setting it next to
the window in my office, and got a fix in about 3-4 minutes (using GPXView with
the Maps view).

I can't say that the fix time wasn't helped by almanac data previously
downloaded (I had A-GPS enabled earlier this morning), but technically I have
no network access and I have a pure GPS fix, and indoors, for that matter.

If someone knows how to force a purge of almanac data, let me know and I'll
test it again.
Comment 14 ossipena 2009-10-20 13:15:48 UTC
why isn't the info i dug with arguing in the bug report?
Comment 15 mustali 2009-10-20 17:07:50 UTC
(In reply to comment #6)
> Hmm, anybody able to provide a syslog?
> http://wiki.maemo.org/Documentation/devtools/maemo5/syslog
> 

I don't see the sysklogd script in the /etc/init.d directory. where can I get
it?
Comment 17 Jeroen Wouters 2009-10-21 00:56:43 UTC
Created an attachment (id=1478) [details]
syslog while GPS shuts down due inactivity of Ovi Maps
Comment 18 Jeroen Wouters 2009-10-21 01:03:28 UTC
To me, this problem seems to be related both to Ovi Maps and the power save
mode. I've been able to get good results by disabling Power saving mode under
Settings->Display and using GPXView (thanks for the hint, Donn).

The first problem is that the fix is lost if the device goes into power saving
mode. Unless you keep the device awake manually for a couple of minutes, it
cannot get a first fix. Indeed not very practical when you're standing in the
rain in Amsterdam :)

The second thing I noticed is that location-daemon keeps being shut down and
restarted when using Ovi Maps. When you switch away to another application than
Ovi Maps, the location daemon is shut down due to inactivity (search for
on_inactivity_shutdown in the attached syslog extract). This is probably done
to save power, but when the GPS fix is also lost and takes some time to
re-acquire when there is no internet connection. This does not seem to happen.
Comment 19 Jeroen Wouters 2009-10-21 14:00:50 UTC
I'm afraid my enthousiasm yesterday came a bit too soon. It seems the fix
yesterday was assisted by earlier received data.
I've used the same methodology at another location a couple of kilometers away
and did not get a fix within half an hour. I then moved back to same location
of yesterday, and again I did not get a fix within half an hour. I'll try to
get a clean syslog of this later.
A method to ensure that previously acquired data is purged would be very
welcome.
Comment 20 Jeroen Wouters 2009-10-24 20:11:18 UTC
This definitely looks like a bug to me. I've done some further testing:

I put the N900 horizontal in front of a window, with a Neo Freerunner without
SIM as reference next to it.
Result: No fix on the N900 after one hour in Maps and still no fix after an
additional hour in gpxview.
The Freerunner managed to get a fix in the same circumstances in a about 15
minutes.

I did again notice that the Maps application keeps shutting down and restarting
location-daemon even though I did not switch to another application this time.
Comment 21 Jeroen Wouters 2009-10-24 20:13:22 UTC
Created an attachment (id=1494) [details]
syslog of two hours of GPS testing without getting a fix
Comment 22 Andre Klapper maemo.org 2009-11-01 17:43:29 UTC
*** Bug 5905 has been marked as a duplicate of this bug. ***
Comment 23 Kasper Souren 2009-11-02 23:33:58 UTC
I haven't been able to get a fix without network connection, in situations
where my N810 was working moderately okay (like next to the window of a car
going on the highway or outside in a fixed position for a longer time).
Comment 24 Andrea Grandi 2009-11-15 19:56:29 UTC
I confirm this problem/bug on my N900.
Comment 25 tz 2009-11-23 07:37:54 UTC
I wonder if this is the same or related to the corrupt(?) nvd_data file in
/var/lib/gps as on the n810.

There is a LONG thread in an old bug - I think it was marked "wontfix".

But I am curious if it might be the same thing - if you delete this file, it
does a cold or less warm start, but if the file is there it seems to get into
some mode where it pushes the GPS tuning away from a lock instead of
remembering data to make locks faster.

On the n810 - it was hard to tell precisely, but if it didn't get a lock within
a few minutes (at least a few satellites, sometimes with AGPS indoors), it
would not be able to get a lock, maybe for an hour or was really slow. 
Removing this file (with the gps off and then restarting it) and being
outdoor/clear view would get it in under a minute.
Comment 26 Jeroen Wouters 2009-11-23 09:28:04 UTC
(In reply to comment #25)
> I wonder if this is the same or related to the corrupt(?) nvd_data file in
> /var/lib/gps as on the n810.

Related perhaps, but that file does not exist on my device.
Comment 27 dave 2009-11-25 08:09:15 UTC
Question:

This bug states:
STEPS TO REPRODUCE THE PROBLEM:
Go into an area where you have no network connection (cellular or WiFi) and try
getting GPS lock.

What I want to know is whether a cellular voice connection is sufficient to
"work around" this bug. Or is a data connection required? I will not have a
data connection or WiFi, but I need the GPS to work. I will have cellular
voice. I'm on T-Mobile US prepaid voice. They do not offer wireless data on
this plan.
Comment 28 Kyle Cronan 2009-11-25 08:31:29 UTC
No, it's not sufficient.  I'm pretty sure the AGPS uses the internet
connection.
Comment 29 tz 2009-11-25 10:07:47 UTC
AGPS *REQUIRES* wifi, data, or otherwise an internet link.  It is basically a
database of satellite positions good for many hours, but needs to be refreshed
and may require your current location (within 500 miles) and an accurate time.

Beyond that, it may be when the GPS is turned on you need to be outdoors or
otherwise in view of the satellites.
Comment 30 Andy Selby 2009-11-26 20:35:20 UTC
Go to Settings > Connectivity > Location and deselect enable underneath Network
positioning then press save.
Comment 31 dave 2009-11-26 21:04:33 UTC
(In reply to comment #30)
> Go to Settings > Connectivity > Location and deselect enable underneath Network
> positioning then press save.
> 

That does not resolve the problem for me. The N900 will still not get a GPS
fix. It only gets a fix if network positioning is enabled AND network access is
available.
Comment 32 Andy Selby 2009-11-26 21:10:36 UTC
(In reply to comment #31)
> That does not resolve the problem for me. The N900 will still not get a GPS
> fix. It only gets a fix if network positioning is enabled AND network access is
> available. 

It worked for me under a clear sky and indoors where I am sitting next to my
window.
where did you try it?
Comment 33 dave 2009-11-26 21:22:05 UTC
(In reply to comment #32)
> (In reply to comment #31)
> > That does not resolve the problem for me. The N900 will still not get a GPS
> > fix. It only gets a fix if network positioning is enabled AND network access is
> > available. 
> 
> It worked for me under a clear sky and indoors where I am sitting next to my
> window.
> where did you try it?
> 
I tried outdoors with an unobstructed view of the sky. (Open area, some trees
around perimeter, but no tall buildings.) No fix even after a long wait if
either of these were true:
1. network positioning disabled
2. network positioning enabled but no network available.

I also tested with US T-Mobile t-zones enabled on a prepaid account. This gives
limited internet access (to a restricted set of sites). With this enabled, the
GPS would not get a fix.

As soon as I enabled network positioning AND set up a true network connection,
GPS acquired a fix (almost instantly). The maps app was even able to track me
when I went indoors (the house has lots of windows). So clearly, the internet
connection was required -- the sat signals were strong enough to come through
the windows.
Comment 34 Navid Zamani 2009-12-03 04:40:08 UTC
The same problem exists on the 5800 too. Takes forever for a fix (30 min and
more!!!!!) which is completely insane, since I can lay a real GPS device right
next to it, and it gets its first fix in seconds. And a Samsung phone took
somewhat below two minutes.

It’s a serious bug, because it makes GPS useless if you don’t want to use AGPS.
I could throw the device into the trash right now if I had to rely on living
without AGPS.

Right now the only workaround to Nokia’s in-you-face denial of the problem, is
to use iPhone technology, by installing Skyhook Wireless’s Map Booster. Which
still give a ridiculously low resolution of ~100m.
(Accoding to Nokia marketing, the resolution of GPS is 10m, and 3m with AGPS.
Yeah, right. And I’m Santa!)

All in all, I feel an urge to sue for fraud and false advertising.
Comment 35 Maksim 2009-12-03 22:33:28 UTC
yes!?
Comment 36 Venomrush 2009-12-04 01:56:27 UTC
I believe how it current works is that the N900 uses data connection to refresh
its position whenever GPS is activated. This is to give impression that it gets
faster fix every time.

Without data connection to get location of satellites = slower fix or no fix at
all.

Therefore a simple workaround would be to save the locations of the satellites
once obtained, only refresh them once a week, or have the option to refresh
them manually. Satellites positions aren't changing that much anyway.
Comment 37 Carsten Munk maemo.org 2009-12-05 12:40:30 UTC
Proposing division into two bugs:

GPS subsystem doesn't seem to cache SUPL data and grabs SUPL data using data
connection/wifi each time GPS is initialized.

Enhancement: GPS subsystem should allow for N8x0-style "Download SUPL data for
this position and cache it"
Comment 38 gidyn 2009-12-05 20:23:40 UTC
I've often found that the GPS module freezes while failing to get a fix - maps
becomes unresponsive, and I cannot change the location settings. (Location menu
under settings flashes when pressed, no other response.)
Comment 39 Quim Gil nokia 2009-12-09 13:27:46 UTC
(In reply to comment #0)
> SOFTWARE VERSION:
> 1.2009.41-10
> 
> STEPS TO REPRODUCE THE PROBLEM:
> Go into an area where you have no network connection (cellular or WiFi) and try
> getting GPS lock.
> 
> EXPECTED OUTCOME:
> You can still get GPS lock, it just takes longer.

This is what happens to me and everybody I know. The fixes are slow compared to
a specialized GPS unit, sure. This is basically due because relying entirely on
GPS is not a main use case for the N900. N900 users are supposed to have a SIM
card and data connectivity at least to the extent of getting an assisted fix
(~20K). From there the GPS has plenty more chances to get a real fix.


> 
> ACTUAL OUTCOME:
> Cannot get GPS lock at all.
> 
> REPRODUCIBILITY:
> always
>
Comment 40 Jeroen Wouters 2009-12-09 13:43:59 UTC
(In reply to comment #39) 
> The fixes are slow compared to a specialized GPS unit, sure.

I would like to comment on two points made here. First, in all the test I did,
unassisted fixes were not slow, they were inexistent. Second of all, I did not
compare to a specialized GPS unit, but to a Freerunner. If the N900 is
outperformed by the Freerunner, which is much older and basic (not to mention
less pricy), I would not simply dismiss it as 'not a main use case'.
Comment 41 HoX 2009-12-09 13:54:37 UTC
(In reply to comment #39)
> (In reply to comment #0)
> > SOFTWARE VERSION:
> > 1.2009.41-10
> > 
> > STEPS TO REPRODUCE THE PROBLEM:
> > Go into an area where you have no network connection (cellular or WiFi) and try
> > getting GPS lock.
> > 
> > EXPECTED OUTCOME:
> > You can still get GPS lock, it just takes longer.
> 
> This is what happens to me and everybody I know. The fixes are slow compared to
> a specialized GPS unit, sure. This is basically due because relying entirely on
> GPS is not a main use case for the N900. N900 users are supposed to have a SIM
> card and data connectivity at least to the extent of getting an assisted fix
> (~20K). From there the GPS has plenty more chances to get a real fix.

The fact that the GPS is not the main use case for the N900 doesn't mean that
we won't use it as GPS device. Those ~20K in Italy costs 1,00€ (at least with
Vodafone) and I don't see why I should pay to know where I am when I have
already spent 600€ for a phone with the GPS built-in.
And what if I am where there isn't network coverage or If I'm with an empty
credit on my SIM, but with the need of having GPS?
Honestly, I think that the GPS lock without connection is a MUST for this
device.
Comment 42 Lucas Maneos 2009-12-09 13:57:48 UTC
(In reply to comment #39)
> This is what happens to me and everybody I know.

Could you describe what you do to get a fix and roughly how long it takes? 
More specifically, can you still get a GPS fix with the device in offline mode? 

FWIW I have never managed to get a GPS fix without a network connection, even
in wide open spaces under clear sky and waiting for 30' or more.

With a SIM installed and while not in offline mode (but no data connection) I
have occasionally seen "coarse" location from the cellular network but that's a
different matter.

Additionally, /usr/share/sms-handlers/supl_mt_sms.handler suggests it may be
possible to receive SUPL data via SMS but this has never happened to me as far
as I can tell.

(This is all with a summit loaner pre-production device BTW.  Maybe the final
retail version behaves better, I don't know.)

> The fixes are slow compared to a specialized GPS unit, sure.

It's very bad even compared to the N810 (so, +1 to the suggestion in comment
37), let alone "specialized" devices like my 5 year old TomTom GO or 3 year old
Nokia LD-3W both of which usually obtain a fix within seconds and never more
than a couple of minutes or so.

> N900 users are supposed to have a SIM
> card and data connectivity at least to the extent of getting an assisted fix

Well, data connectivity is most likely to be unavailable when you need a
location fix the most (when travelling abroad, in rural locations and so on) so
that assumption seems a bit broken.
Comment 43 Darren Long 2009-12-09 14:01:42 UTC
I'm afraid that WORKSFORME isn't an acceptable resolution for me, and I support
the view stated in comment 40.

If unassisted fixes are slow (and not impossible), then please specify a
performance figure (time to fix) for unassisted fixes that you (qgil) find
acceptable. Then we will really know where we stand (or not perhaps, if taken
literally).

I've been using the new Location Test tool for a couple of days and note that
I've never obtained a fix when using the GNSS method.  This suggests to me that
there must be something broken in the GPS subsystem.  This is truly
disappointing, and I don't think that marking the bug as resolved at this stage
will help anyone.

If I'm roaming abroad, I might not want to pay for cellular data to support
AGPS and will still need the GPS in the N900 to function correctly.

Please reconsider the status change.
Comment 44 Carsten Munk maemo.org 2009-12-09 14:04:30 UTC
Brainstorming a bit: Would a solution that allows you to pre-cache AGPS data
for a given time period / position on a world map help?
Comment 45 luarvique (reporter) 2009-12-09 14:15:48 UTC
(In reply to comment #44)
> Brainstorming a bit: Would a solution that allows you to pre-cache AGPS data
> for a given time period / position on a world map help?
I think that would be helpful. Something similar to the AGPS application used
in Diablo.
Comment 46 Stephen Spencer 2009-12-09 14:17:20 UTC
If without-AGPS satellite locks "isn't a use case" (which seems rude to world
travellers and pay as you go users), why is there an option for turning AGPS
off when finding satellites doesn't work without it?

From looking at the symptoms, I would guess that the only problem is there's a
too-agressive timeout in the GPS system somewhere, so that a lock can be
achieved when AGPS data gives GPS a head start, but not if more than a couple
of minutes is required.
Comment 47 wheelybird 2009-12-09 14:29:10 UTC
I also have this issue: the inability to get the GPS location without a network
connection.  This is an inability - it simply doesn't work.  It's not a matter
of being too impatient to wait a few minutes.
I tested it yesterday and sat out in the open air the cold for half an hour
trying to get a fix.  I then activated assisted GPS and got a near-instant fix.

I'd also like to re-iterate the point made by several people - I don't want to
pay each time I want to find out where I am.  I'm happy to wait a couple of
minutes to get that information for free.  After all, I have paid a lot of
money for a device that's supposed to allow me to do so.

Pre-caching databases might well help, but it's obvious that if you haven't got
that satellite database then you're not going to get a fix, and this simply
means that the GPS functionality is broken, and I don't see how therefore this
bug can be marked as resolved.
Comment 48 Carsten Munk maemo.org 2009-12-09 15:04:26 UTC
More brainstorming:

Extras app, Maemo Traveller

An application that based on you inputting airport names or cities:

* Pre-caches relevant data such as AGPS/SUPL data for duration of stay

(This would need APIs published for making SUPL lookups and caching them so
they can be used offline)

* Pre-caches Ovi Maps (Jaffa had a talk.maemo.org thread about how to do this)

I'd personally use that app for my journeys.
Comment 49 HoX 2009-12-09 15:14:11 UTC
(In reply to comment #48)
> * Pre-caches Ovi Maps (Jaffa had a talk.maemo.org thread about how to do this)

I have downloaded all the Ovi Maps of the Europe and installed them on my
phone, but without they're almost useless without the GPS fix, which doesn't
work without A-GPS, which doesn't work without data connection...
Comment 50 Quim Gil nokia 2009-12-09 15:17:01 UTC
The bug filed here says "Cannot get GPS lock at all" and we know that the N900
does get fixes without AGPS out of the box, hence the WORKSFORME resolution?

Are you saying that for some people at some point there are no locks at all?
Are you suggesting that there might be a bug somewhere? Alright, we are
interested in knowing that. Let's try to find where the problems are, if they
are related with software or not, and with which software. Ideas to improve
this situation with new features are also welcome.

I'm not trying to say that you don't have a problem as there is no point saying
that the N900 can't get a fix with GPS only. I will flash my device right now
and I will go outside to see what happens.
Comment 51 Ryan Abel maemo.org 2009-12-09 15:22:47 UTC
(In reply to comment #50)
> Are you saying that for some people at some point there are no locks at all?
> Are you suggesting that there might be a bug somewhere? Alright, we are
> interested in knowing that. Let's try to find where the problems are, if they
> are related with software or not, and with which software. Ideas to improve
> this situation with new features are also welcome.
> 

I couldn't get a fix all weekend in BCN after hours of having the little
satellite icon flash up in the toolbar. . . .
Comment 52 Shaeed Mohammed 2009-12-09 15:23:33 UTC
after playing with my n900 over the last few days i decided to test the gps on
the phone. 

all seemed fine, was not giving me a accurate reading "was telling me i was
about 500m from where i was actually at in MAPS app".

so i went into settings locations and decided to turn of network positioning.
unchecked box, went back into MAPS and now i cant get a lock!!! went outdoors
tried for a good 10 mins to get a lock but no lock. so i went into omweather
set a station to pick location through gps, but still no luck as it does not
pick up gps, turned network positionning back on started to give me a lock in
the same position as before. and picked up location in omweather

wierd thing was when i connected to a wall charger and had the network
positioning disabled i could get positioning? when i removed the charger it
will losse connection?
Comment 53 gidyn 2009-12-09 15:53:16 UTC
I have had one success out of five in obtaining a GPS fix without AGPS. On most
occasions, Maps crashes after a few minutes of searching and closes itself
down.

I'm now in a position of having to keep my old N82 with me when travelling. It
may WORKSFORYOU, but it certainly doesn't work on mine, and it's going back
under warranty if this isn't fixed in the next update.
Comment 54 Quim Gil nokia 2009-12-09 16:17:25 UTC
Hi, I just got a GPS fix in 8 minutes.

1 - Reflashed N900 including Scandinavia maps. No SIM & no MicroSD.

2 - Went outside the Maemo office in Ruoholahti - Helsinki, in a relatively
open square.

3 - First boot. Install Location witget. Press widget "power button".

4 - Just in case, open Ovi Maps

5 - Wait...

Ovi Maps stops seaarching after a while showing "No GPS" banner.

Widget stops searching after 5 minutes with similar banner. 

6 - Press power button in Location widget again.

Connectivity dialog appears after 8 minutes. Location widget wants to download
maps.

7 - Cancel dialog.

GPS is turned off.

8 - Open Ovi maps.

GPS turns on. After few seconds of search a correct fix is provided and shown
accurately on the map.

Which means that WORKSFORME is an accurate resolution. Now let's see with the
devices not getting fixes.
Comment 55 gidyn 2009-12-09 16:20:18 UTC
Could you simply open Maps, and wait for a fix? If such a tortuous route is the
only way for you to get fix without AGPS, I humbly suggest that it doesn't work
for you very well at all.
Comment 56 Quim Gil nokia 2009-12-09 16:31:18 UTC
I got a correct cold GPS fix in 8 minutes after a first boot using the software
that comes with the N900 out of the box. This is what really matters to
determine whether the N900 and Maemo 5 can get a fix without network connection
or not.

Reflashing again and reloading Ovi Maps until getting a fix should not bring
much difference. I will try perhaps tomorrow. It would be good if those of you
with no fixes could reflash and experiment yourselves.
Comment 57 timeless 2009-12-09 16:33:40 UTC
So, the original report says "at all", this means (to the native speaker,
that's me) "ever".

If it's possible using standard hardware and standard software, then that isn't
"ever" and indeed it does work.

What is probably happening is that the initial attempt gets some data which is
used to prime the gps the next time (for a faster) fix, but the initial attempt
exceeds the acceptable timeout as expressed by the user (and the software which
oddly enough is probably tuned to roughly the same expectation as the user).

My understanding (and I don't work on GPS at all [this roughly means "ever"])
is that it is really possible for a GPS fix without any knowledge of initial
location to take 10-15 minutes. Which exceeds pretty much everyone's acceptable
value for "it doesn't work". Given that this is afaiu part of how GPS works,
there's very little anyone could do about it.

There's a reason that GPS is designed so that the consumers cache some data and
get faster fixes when they haven't changed continents.

I think what's interesting is what happens the third time Quim tries. If the
third fix is as fast as the second fix, then well, that's great.

It might be the case that the user experience for the first run fix should
explain to the user that it can actually take 10-15 minutes and suggest that
they get a coffee while they wait stationary outside in the open sky. But
that's a lot of text to write, it's a bit of new code, and would require a ui
designer to consider and approve it, and a manager to accept the task/risk of
actually including it into the product.

For the n900, i'm not sure that's something we could reasonably do.
Comment 58 Navid Zamani 2009-12-09 17:02:10 UTC
(In reply to comment #54)
> Hi, I just got a GPS fix in 8 minutes.
> Which means that WORKSFORME is an accurate resolution. Now let's see with the
> devices not getting fixes.

You’re kidding, right? Everything above 2 minutes (*without* any data
connection) is not “WORKSFORME”, but “THATSFRAUDFORME”.
Every other GPS phone on the market can get a fix in that time. Without a data
connection. Every standalone device can do it in mere seconds.

The interesting thing is, that we heard *nothing* about if it’s a hardware or
software problem, and what exactly that reason is that makes it take so long.
Only excuses, distractions, and calling us all stupid for wanting what we paid
for.

This is a reason to return the device! It’s a reason to sue. Not a “WORKSFORME“
low priority thing.

Nokia, you got tons of respect from us, for bringing out the N900. Don’t wreck
it by acting like a dick, now that we all have already paid. Because we will
definitely wreck it for every other potential customer out there. I already
started to see more complaints about it being in „early beta“ state, than
people saying that they want to buy it. It’s time to act *now*.
Comment 59 dave 2009-12-09 17:04:38 UTC
(In reply to comment #40)
> (In reply to comment #39) 
> > The fixes are slow compared to a specialized GPS unit, sure.
> 
> I would like to comment on two points made here. First, in all the test I did,
> unassisted fixes were not slow, they were inexistent. Second of all, I did not
> compare to a specialized GPS unit, but to a Freerunner. If the N900 is
> outperformed by the Freerunner, which is much older and basic (not to mention
> less pricy), I would not simply dismiss it as 'not a main use case'.
> 
I agree. No internet connect = no GPS fix. It is not dependent upon waiting
time.

Sorry to say, but from today I will be using the Motorola Droid as my main
mobile device -- because of this bug and because of the superiority of Google's
navigation solution. The Droid's 4-row keyboard was another determining factor.
Comment 60 Navid Zamani 2009-12-09 17:08:53 UTC
(In reply to comment #57)
> So, the original report says "at all", this means (to the native speaker,
> that's me) "ever".
> If it's possible using standard hardware and standard software, then that isn't "ever" and indeed it does work.

Don’t play word games. You know what was meant. “At all” means, the user “timed
out”. It went past his “maximum imaginable delay”. Which is somewhere past two
minutes. For him most likely even less. Not eight. Because eight. or *forty,
which is the case for many who don’t use serious witchcraft, is just silly and
nobody would think that after that long time it suddenly works.

Imagine opening a web page. And the server responding after eight minutes.
Exactly. Silly.
Comment 61 Rüdiger Schiller 2009-12-09 17:19:56 UTC
(In reply to comment #58)
> You’re kidding, right? Everything above 2 minutes (*without* any data
> connection) is not “WORKSFORME”, but “THATSFRAUDFORME”.
> Every other GPS phone on the market can get a fix in that time. Without a data
> connection. Every standalone device can do it in mere seconds.

I feel sorry for you guys... but getting a fix from scratch may take up to 12'
if you get it faster it is good, then you hit a transfer window right away.
That does not depend on the GPS device. My $24 does that in the same time as my
friends $8000 geo-landmark-addon.

It happens on my GPS device (no AGPS) to take up to ten minutes at least >2' to
get a fix at new locations.

I follow this bug for a while now and am curious if there is a problem which is
related to country, please consider doing the same test Quim did.
Looking at the talk forums it slightly looks like different country different
percentage of specific hardware problems to me.
Comment 62 luarvique (reporter) 2009-12-09 17:24:32 UTC
(In reply to comment #61)
> I feel sorry for you guys... but getting a fix from scratch may take up to 12'
> if you get it faster it is good, then you hit a transfer window right away.
Without network uplink, N900 did not get GPS fix in hours for me. "Hours" is
not "12 minutes" by any measure.
Comment 63 Rüdiger Schiller 2009-12-09 17:28:46 UTC
(In reply to comment #62)
> (In reply to comment #61)
> > I feel sorry for you guys... but getting a fix from scratch may take up to 12'
> > if you get it faster it is good, then you hit a transfer window right away.
> Without network uplink, N900 did not get GPS fix in hours for me. "Hours" is
> not "12 minutes" by any measure.
> 

whats your location? you did reflash and try this 12min test in 5 minutes you
must be a time-traveler... now I know why your GPS gets no fix...

please keep this serious! this is not a talk forum its a bugtracker
Comment 64 Alberto Garcia Gonzalez 2009-12-09 17:30:08 UTC
(In reply to comment #61)
> I follow this bug for a while now and am curious if there is a
> problem which is related to country, please consider doing the same
> test Quim did. Looking at the talk forums it slightly looks like
> different country different percentage of specific hardware problems
> to me.

I have both an N810 and an N900.

My N810 takes around 2 minutes (and sometimes even less) to get a GPS
fix (I consider 2 minutes to be quite slow, but I can live with it).

I used it in Galicia, England, Germany, The Netherlands,
Turkey, Portugal,... with no noticeable differences.

However, I have never been able to get a fix in my N900 without using
a network connection. I tried in some of the same places listed above
(Galicia, The Netherlands).
Comment 65 Navid Zamani 2009-12-09 17:31:16 UTC
I’ve had enough. I’m selling the device. But telling the buyer beforehand, that
it has no GPS. Goodbye Nokia.
Comment 66 Rodrigo Linfati 2009-12-09 17:33:11 UTC
Why do not use location-test-gui for test the gps fix?

http://repository.maemo.org/pool/maemo5.0/non-free/l/location-test-gui/location-test-gui_0.92-1+0m5_armel.deb

it's show a lot of debug info...
Comment 67 Quim Gil nokia 2009-12-09 17:39:36 UTC
8 minutes is a decent first time to fix for a non-specialized GPS device. See
http://en.wikipedia.org/wiki/Time_to_first_fix

About 1h later and 10km away I have got an accurate fix with Ovi Maps in
offline mode within 20 seconds. This is also a decent mark.

I wish I could try the GPS tracking while being offline but all ther window
seats in the bus were taken. I'll test again when I have a chance.
Comment 68 wheelybird 2009-12-09 17:40:29 UTC
Also, as I mentioned, I sat with my bottom on a cold stone bench for half an
hour with no GPS fix.  After that half hour I got an instant fix when I
activated network assistance.

A lot of discussion has gone into the semantics of the title of the bug, and
suggestions that people aren't perhaps patient enough for it complete
searching, which is to ignore the several people who have posted saying that
their problem exactly describes the bug title: "Can't get GPS lock without
network connection".

I'm glad that some people have managed to do so, but it sounds like a painful
procedure for those that have, and I don't want to perform the equivalent of an
arcane ritual every time I want a GPS fix.  Perhaps indeed there are certain
locations where it works a bit better than others, but you can get a fix with
other GPS devices in these places, so why not with the n900?  It also defeats
the purpose of GPS if you have to travel to a particular location to get it to
work.

So if we could concentrate on debugging this pretty serious issue rather than
redefining English then that would be nice.

I can, if you like, send you a dump of any relevant logs from when I'm trying
to connect - just tell which logs you're interested in and so forth.
Comment 69 Quim Gil nokia 2009-12-09 18:29:12 UTC
I could get a seat in the window, about 5km away from my previous flix. Again,
in offline mode got a fix within 20 seconds and could track the route in the
bus about 5 mins accurately, then walk...

So I think I'm proving that out of the box it works decently. Now let's see
what goes wrong in those devices not getting a fix ever.
Comment 70 Valério Valério maemo.org 2009-12-09 19:21:20 UTC
Here is my test:

N900 proto F4 with the lastest SW publicly available.

Cold start in a open area near to my parents house (south of Portugal): ~6
minutes to get the fix then around one more minute to fine tune the position, I
had a error around 200m in the first fix.

Next tries in a area around 2km from the first position, every fix takes less
than 1 minute (around 20s most of the times).

I had tried several GPS devices and I can say that is depends a lot in your
location, in general I have had very good response times in my country (even
with a OpenMoko without the SD card hack), but very poor results in big cities
like Brussels and Amsterdam :( , of course that A-GPS saves a lot of time in
these situations.
Comment 71 Andre Klapper maemo.org 2009-12-09 19:34:18 UTC
(In reply to comment #58)
> Don’t wreck it by acting like a dick
Navid Zamani, that's not the tone I want to see in Bugzilla. Be respectful,
otherwise your account will be disabled.

In general: Folks, please keep this constructive, even if you're
frustrated/passionate/insert_your_term_here. This is not a forum.

Thanks.
Comment 72 Oli G. Håkansson 2009-12-09 19:53:23 UTC
(In reply to comment #54)
> Hi, I just got a GPS fix in 8 minutes.
> 
> 1 - Reflashed N900 including Scandinavia maps. No SIM & no MicroSD.
> 
> 2 - Went outside the Maemo office in Ruoholahti - Helsinki, in a relatively
> open square.
> 
> 3 - First boot. Install Location witget. Press widget "power button".
> 
> 4 - Just in case, open Ovi Maps
> 
> 5 - Wait...
> 
> Ovi Maps stops seaarching after a while showing "No GPS" banner.
> 
> Widget stops searching after 5 minutes with similar banner. 
> 
> 6 - Press power button in Location widget again.
> 
> Connectivity dialog appears after 8 minutes. Location widget wants to download
> maps.
> 
> 7 - Cancel dialog.
> 
> GPS is turned off.
> 
> 8 - Open Ovi maps.
> 
> GPS turns on. After few seconds of search a correct fix is provided and shown
> accurately on the map.
> 
> Which means that WORKSFORME is an accurate resolution. Now let's see with the
> devices not getting fixes.
> 


That is mildly put, insulting to Nokia´s customer to advise your solution as
"works for me". 

My N900 production device with firmware from week 42 sat in my window in
Raleigh NC for a hour in offline mode. Nothing going on whatsoever.

Restarting the map app and waiting 15 more minutes did nothing.

My N95 took up to 15 mines to get a fix by itself when moving around in bad
areas, but at least it popped in. And to expect customers to want to use data
connections all the time for GPS I find to be a bit rude as well. Either you
have GPS in the device or you don´t.

I have tried on numerous occasions to get a fix with the N900 in offline mode,
and without a SIM. It ain´t workin´.
Comment 73 Andre Klapper maemo.org 2009-12-09 20:04:39 UTC
(In reply to comment #72)
> That is mildly put, insulting to Nokia´s customer to advise your solution as
> "works for me". 

1) No need to quote the entire former comment in this case.
2) Also see https://bugs.maemo.org/page.cgi?id=fields.html#resolution but let's
not go into semantics here...
Comment 74 luarvique (reporter) 2009-12-09 21:10:30 UTC
Ok. I have got the location-testing-gui and done some experimentation on the
way home from work. Here is what I found:

SETUP:
N900 in offline mode. Traveling by van for about 40 minutes, then by subway for
about 15 minutes, then walking for about 15 minutes.

OVI MAPS:
Starts up GPS and asks to exit offline mode. When told to remain in offline
mode, waits for GPS fix for 2-3 minutes (GPS icon flashes), shuts GPS down (GPS
icon disappears), and asks to exit offline mode again. This cycle repeats
indefinitely.

LOCATION TESTING GUI:
Starts up GPS and looks for satellites for about 15 minutes (GPS icon
flashing). Eventually finds enough satellites and establishes the lock (GPS
icon solid). Loses lock in subway, but continues reporting 12 satellites seen
(just not used). Reacquires lock in about 3 minutes after leaving the subway.

OVI MAPS with LOCATION TESTING GUI running and lock established:
Asks to exit offline mode. When refused, picks up the current location and
shows it correctly.

ANALYSIS:
The way it looks to me, the problem lies NOT with the GPS subsystem, but with
the OVI MAPS. OVI MAPS will restart GPS every several minutes, asking the user
to go online every time it does that. Several minutes is simply not enough to
establish a good lock in offline mode.

I suggest that you guys do some more testing along the same lines. Please, try
acquiring an offline lock with MAEMO MAPPER and ECOACH. See if they work any
better. Currently, it does seem like OVI MAPS is to blame here, but it needs
additional verification.
Comment 75 luarvique (reporter) 2009-12-09 21:13:14 UTC
IMPORTANT CONDITION:
I have not used GPS for a day or two prior to conducting the above experiment.
Please, make sure you do the same to avoid letting it use any cached data.
Comment 76 Shaeed Mohammed 2009-12-10 11:29:25 UTC
i downloaded location testing app yesterday, went out in my car - disabled
network positioning and ran location test, i got a lock on within 5 mins
without a connection to the internet.  

This morning i testing my gps again on my way to work.  birmingham to coventry
25m on the motorway, clear sky, was seeing 9-12 satellities but couldnt get a
fix for a good 30-40 min, i then turned on network positioning, got a lock
straight away and picked up 4 satellities, turned of network positioning and
still had a lock on in location testing. 

if i leave network positioning on and use OVI Maps, the postioning always puts
me in the middle of some field will im driving on the motorway? 

if i have location test running and have network positioning OFF and run OVI
Maps it seems to be much more accurate and shows me on the road im driving on.

To make it clear i can only use OVI Maps after i get a lock on using location
test
Comment 77 HoX 2009-12-10 12:18:48 UTC
I supposed that it uses the old A-GPS data when you try to get the lock without
data connection. If they're still valid, it get the fix, otherwise it doesn't.
This is why some of us reports the GPS lock without connection near a well
known position (home/work).

If I'm right, one possible solution could be to make a generator of fake A-GPS
data. The data generated could be made starting from:
* Old A-GPS lock (not just the last)
* User input (the user says "I'm near here")
* Randomly, starting from near the last GPS fix and then moving from it.

This will take some minutes probably, but this is better than nothing.
Comment 78 Eero Tamminen nokia 2009-12-10 12:59:50 UTC
As other things on the device can get a lock, but according to above comments
Maps cannot (in situations where the GPS lock acquiring takes longer),
re-opening and updating summary.

The use-cases for situations with both no network and bad GPS reception are
valid, but somewhat uncommon.
Comment 79 Andrei 2009-12-10 13:31:43 UTC
I have tested N900 in Ruoholahti today and Maps could not find location during
several hours. Then I enabled network, got fix and disable network again.

After that Maps started to work. But what is annoying: it asks to enable
network every 10 minutes :|.

Looks like Maps needs first fix otherwise it is unable to calculate location.
Comment 80 Quim Gil nokia 2009-12-10 13:34:43 UTC
Reassigning product. This is not about Location Framework but about Maps
application, then.
Comment 81 krk969 2009-12-10 14:07:59 UTC
(In reply to comment #79)
> I have tested N900 in Ruoholahti today and Maps could not find location during
> several hours. Then I enabled network, got fix and disable network again.
> 
> After that Maps started to work. But what is annoying: it asks to enable
> network every 10 minutes :|.
> 
> Looks like Maps needs first fix otherwise it is unable to calculate location.
> 

maybe it has been already tried, but do you think it might work better if the
in the location setting if you have the network positioning disabled and only
enable gps ?
Comment 82 luarvique (reporter) 2009-12-10 14:34:17 UTC
(In reply to comment #81)
> maybe it has been already tried, but do you think it might work better if the
> in the location setting if you have the network positioning disabled and only
> enable gps ?
Tried. Does not help.
Comment 83 haja77 2009-12-10 19:04:20 UTC
I confirm this bug on my N900. GPS works fine with a data connection (wifi),
but no chance of getting a lock without.
Comment 84 PeteC 2009-12-10 19:23:41 UTC
(In reply to comment #83)
> I confirm this bug on my N900. GPS works fine with a data connection (wifi),
> but no chance of getting a lock without.
> 

Are you saying that:
1) putting the device in "offline" mode (via the power button menu)
2) turning the N900 off and on (confirming that you want to remain offline)
3) opening Maps and waiting

... will never get you a fix? Because I get a fix in that scenario within a few
minutes.
Comment 85 Quim Gil nokia 2009-12-11 09:11:33 UTC
Let's continue the investigation. For those that got upset with my first
resolution, now you that was actually useful to point to the direction where
the concrete problems might be. As others are reminded this is a bug tracker, a
place to work together finding a solution.

First of all let's agree on the basic use cases:

- SIM card inserted (we really don't expect people to buy an N900 to use it as
"wlan tablet" only.

- Settings -> Location -> Network positioning: not enabled. This defines a user
not willing to download data when roaming (frequent case) and coincidentally a
user without a data plan (which we really don't expect from a someone buying an
N900).

Please do all your testing in these conditions.

Now, we seem to have one obvious problem: Ovi Maps gives up too soon when
searching for location data. This makes sense in a scenario when AGPS is
available but your tests show that it's too short e.g. when you are travelling
abroad. If someone can express this properly in a bug report (this one) then
Andre can file the report internally against the Maps product.

There seems to be another problem: Ovi Maps apparently ignores cached location
data and searches always for fresh info. Again, this makes sense in the AGPS
based scenario but is a pain e.g. when travelling abroad or being in remote
places without connectivity since useful cached information seems to be
ignored. To be confirmed? If so, this is a different bug. Please report it and
Andre will file it internally.

And still there might be another problem that requires more advanced
investigation: is the cached location data getting corrupted somehow? Is the
clean situation of a first boot (when things decently work getting fixes
without AGPS) getting corrupted by some actions or over time? If someone can
isolate this problem and (even better) find the steps to reproduce it then this
is another bug against the Location framework, not the Maps application.
Comment 86 Eero Tamminen nokia 2009-12-11 11:14:36 UTC
(In reply to comment #85)
> - Settings -> Location -> Network positioning: not enabled. This defines
> a user not willing to download data when roaming (frequent case) and
> coincidentally a user without a data plan (which we really don't expect
> from a someone buying an N900).

This is bogus requirement for these bug reports.

If one's abroad and wants to receive calls, but avoid cost of data access, one
sets *generic* network settings to "Always Ask", disconnects from network and
rejects device connection requests dialogs (unless one has WLAN coverage).  I
mean, why you would want e.g. to fetch/sync email spam expensively, but not
maps?

Another valid use-case is being out of range of any phone access point.  You
could for example be sailing or flying and want to track the route[1] you're
traveling.

"offline-mode" may also be valid use-case.  There are situations where one
wants or needs to to use that, but still may want to get her location:
- You don't want to get calls (I've understood this is common use-case
  e.g. in China :-))
- You're lost and your battery is almost empty so you use offline mode
  to save battery, but want still to find your location on map
  ("starved geek found in the woods clutching his N900")

[1] I think in Maemo mapper (which I prefer to these proprietary ones) could
later upload the route from the device. At least one could download routes from
route planning service on net (that was a much appreciate feature when cycling
last summer...).
Comment 87 luarvique (reporter) 2009-12-11 11:48:16 UTC
(In reply to comment #85)
> - SIM card inserted (we really don't expect people to buy an N900 to use it as
> "wlan tablet" only.
Ok. I am too lazy to remove mine anyway :)

> - Settings -> Location -> Network positioning: not enabled. This defines a user
> not willing to download data when roaming (frequent case) and coincidentally a
> user without a data plan (which we really don't expect from a someone buying an
> N900).
This does not make any difference, AFAIK.

BUT, here is a few other conditions that everybody should probably abide:

1. Enable OFFLINE mode by pressing the button on top of the device and
selecting this mode from the menu. This ensures that the radios are really
really off.

2. Make sure you have not used GPS in the last 12 hours or so, to prevent
cached data from being used. Determining the exact time of freshness for the
cached data may require some experimentation, in fact (or, Quim, you may simply
ask your GPS guys: I hope this is not a trade secret).
Comment 88 wheelybird 2009-12-11 12:02:00 UTC
I tried out the location test gui on the train last night (though I didn't wait
12-24 hours to wait for the cached data to expire).
Without assisted GPS, the N900 saw between three and eleven satellites, but non
of them were 'used' and I didn't get a fix within half an hour.
I then activated assisted GPS and it got a fix.
I then de-activated the assisted GPS and tried the maps application - although
it was getting a GPS fix, it constantly prompted me for an internet connection
(as soon as I closed the prompt, a new one popped up).
This is despite the fact that I've downloaded the UK maps (and several other
maps) to the N900.

So I have as yet been unable to get a GPS fix without a network connection. 
Perhaps, as has been suggested, the cached data is causing problems.  In which
case, can you tell me how to delete this data (rather than me waiting for a day
or so for it to expire) so I can test the location testing app in several
locations over the weekend?
Comment 89 dave 2009-12-11 17:16:24 UTC
(In reply to comment #85)
> a user without a data plan (which we really don't expect from a someone buying an N900).

Hi. I'd like to introduce myself. I am someone who bought an N900 and has no
data plan. I use T-Mobile prepaid (voice only) and WiFi only. No data plan. The
fact that the N900 enabled this scenario is one big reason why I bought it.
Comment 90 wierdo 2009-12-11 23:21:28 UTC
Just to add a data point:

I just now downloaded location-test-gui. First I let the phone get a lock with
assistance, which took perhaps 15 seconds. I then shut down the GPS and put the
phone in offline mode so as to remove any assistance from the equation.

I then restarted location-test-gui. The phone quickly found 9 satellites, but
it refused to lock. I left it in that mode for about 15 minutes. It never got a
lock. I switched the phone back into normal mode and got a lock in 20 seconds
or so.

I then switched back to offline mode, and the lock was lost. It came back in
about a minute.

Stopping it again and restarting resulted in a brief loss of fix, but again
within a minute it regained GPS lock.

This is all with 'GNSS' selected.

So it seems for me that the bug is intermittent and doesn't depend on whether
cached data exists.
Comment 91 sc 2009-12-12 01:30:10 UTC
(In reply to comment #85)
> - Settings -> Location -> Network positioning: not enabled. This defines a user
> not willing to download data when roaming (frequent case) and coincidentally a
> user without a data plan (which we really don't expect from a someone buying an
> N900).

When travelling abroad I frequently switch to using a local, pre-paid SIM card
for that country. Data usage on pre-paid cards is prohibitively expensive.

Likewise, as alluded in Comment #86, one of the times GPS is most useful occurs
when travelling and/or out of range of network towers. I can also imagine
emergency situations in which making assumptions about mobile network and/or
data plan availability would not be desirable.

Finally, please bear in mind the Nokia N900 is marketed as a "Mobile Computer"
and not a phone (quickly checking http://maemo.nokia.com/n900/ there is no
mention of the word "phone" or "call" on the entire page, except a link to a
demonstration video at the bottom).
Comment 92 haja77 2009-12-12 13:32:47 UTC
(In reply to comment #84)
> (In reply to comment #83)
> > I confirm this bug on my N900. GPS works fine with a data connection (wifi),
> > but no chance of getting a lock without.
> > 
> Are you saying that:
> 1) putting the device in "offline" mode (via the power button menu)
> 2) turning the N900 off and on (confirming that you want to remain offline)
> 3) opening Maps and waiting
> ... will never get you a fix? Because I get a fix in that scenario within a few
> minutes.

I never did that before. I tried it yesterday and it worked. But this is no
solution.
Comment 93 Venomrush 2009-12-14 12:52:21 UTC
I believe it was mentioned in TMO that the easiest fix is to cache the data
rather than refreshing the satellite data whenever N900 is established a data
connection (carrier or wifi).

Shouldn't be hard to cache the this data should it?

I was told N810 is already doing something similar.

Sorry if I'm repeating myself, I'm seeing a lot of discussion whether or not
this is an issue, and not a lot of proposing a solution and action to get a fix
for this. Currently it is assigned to NOBODY so I'm assuming no one is working
on a fix yet.
Comment 94 Andre Klapper maemo.org 2009-12-14 13:05:28 UTC
(Actually the assignee setting in bugs.maemo.org is currently quite unimportant
and often does not reflect if somebody and who is working on an issue, as some
Nokians do not have an account in bugs.maemo.org.)
Comment 95 wheelybird 2009-12-15 12:01:33 UTC
(In reply to comment #84)
> (In reply to comment #83)
> > I confirm this bug on my N900. GPS works fine with a data connection (wifi),
> > but no chance of getting a lock without.
> > 
> 
> Are you saying that:
> 1) putting the device in "offline" mode (via the power button menu)
> 2) turning the N900 off and on (confirming that you want to remain offline)
> 3) opening Maps and waiting
> 
> ... will never get you a fix? Because I get a fix in that scenario within a few
> minutes.
> 

I tried this after 24 hours without using GPS except I used the location test
gui rather than the maps application.
The phone saw ten satellites but didn't use any of them.  After half an hour I
still didn't get a fix.
If you could tell me how to manually remove cached data so I don't have to wait
another day then I'd be able to test this in different locations.
Aside from this issue of being unable to get an unassisted lock, there's also
the issue that I mentioned before about the maps application continually
begging for a network connection even if you've downloaded maps.
Comment 96 Ian Stirling 2009-12-15 20:39:47 UTC
Maps application - no GPS use for 48 hours, then network assist turned off, and
GPS under a clear sky for 15 min - no fix.

turn network assist on - and fix in under 30s.
Comment 97 peacock73 2009-12-15 21:20:30 UTC
From what you guys are describing here - the issue is most likely NOT with the
AGPS data not being available - but rather a problem in the code that requires
the network connection to be active before it will lock the satellites.

People have stated that the GPS can see the satellites but will not lock them,
which means its functioning correctly, the software is not.
Comment 98 Jamie Lokier 2009-12-15 22:19:35 UTC
Here's a couple of interesting observations I made today:

1. *Without* using a data connection it makes a big difference if you have an
active mobile network.  This is different from what some people are saying
about needing to use "network assistance".  I had that turned off throughout
the test below.

2. It's not just a case of seeing many satellites and not using them.  I found
the presence of an active mobile network had an immediate effect on the number
of satellites it could see.

3. It's not the case that when it has a lock, it can keep going with it.  I
found switching from Offline mode to Normal mode caused it to jump from seeing
3 satellites to 16 almost immediately, and get a lock within 20 seconds,
without using any data connection.  And when switching from Normal mode to
Offline mode, it could no longer see most of the satellites, reverting to
seeing only about 3, and _lost_ it's location within a seconds.

4. It's not all about needing a starting hint or needs to downloaded ephemeris
data to get going.  See above.  If it just needed to download ephemeris data,
it wouldn't lose track of all the satellites so quickly when switching to
Offline mode.


My test.

Today I ran the location test gui for half an hour, with the N900 in full
offline mode (no mobile (data or non-data), no wifi).  That is, I pressed the
button on top of the N900 and selected "Offline mode" from the drop down menu. 
All the location test gui settings were default: "User defined" GPS type,
default time interval.  The location settings had network assistance disabled.

It slowly worked it's way up to detecting 1-4 satellites, with slow updates
appearing in the log, but it never locked, and the number of "used" satellites
stayed at zero throughout.

Then I switched the N900 to online mode - meaning enabled the mobile *non-data*
connection.  That is, I pressed the button on top of the N900, and selected
"Normal mode" from the drop down.

Immediately (within 2 seconds!) it jumped from detecting 3 satellites to 16
satellites, with updates coming thick and fast.  That was quick :-)

About 20 seconds later, it was "using" 3 satellites and had a location.  Albeit
not very accurate (Acc fluctuating between 40m and 200m), but it had one.

Then, curious, I switched to offline mode again.  Within a few seconds it had
dropped back to seeing only 3 satellites, and lost it's location.

Throughout this, the location settings had network assistance disabled, there
was no data connection of any kind active, and whenever I was prompted to
choose a data connection, I closed the dialog without selecting one.

Which means that under some circumstances, you *do not have to pay for mobile
data or use network assistance to get a GPS lock*.

(But that still does not help if you are in an area with no mobile signal,
which is quite common in rural UK and even inside many buildings in towns, in
my experience.)

The network I was using was Vodafone Pay As You Go in the UK, in case different
mobile networks behave differently in this respect.

I'd urge other people to experiment with running the location-test-gui while
switching the phone between offline and online modes (changed using the power
button on top of the phone) *without* activating a data connection (make sure
it's not set to activate automatically), and with GPS network assistance
disabled in the settings dialog.
Comment 99 Quim Gil nokia 2009-12-16 10:45:07 UTC
Not getting a fix without A-GPS with several satellites at view is a problem
different than "Maps can't get GPS lock without network connection when the GPS
lock acquiring would take longer". Please use Bg 7026 to share your thoughts
and experiences with the GPS test tool and several satellites at view.

I'd like to move the relevant comments to the new cloned bug but either the
feature is not available or I don't have permissions.
Comment 100 I/O 2009-12-16 11:06:23 UTC
I'm in wap connection and "OVI Maps" can download maps data, but I can't get
gps signal.

In OVI Maps there is a red line over gps icon, but in "systray" the gps icon is
not strikethrough, just white: "OVI Maps" can't localize me.

With wifi connection gps works ok in "OVI Maps".

I tried with and without a-gps, nothing changed.

I don't tried with other gps apps.
Comment 101 klas_hultqvist 2009-12-17 03:17:08 UTC
I'm abroad (New Zealand) and trying to use gps without SIM card or WLAN (I
downloaded maps before coming here). I managed to get a GPS fix with nokia-maps
in about ten minutes, but the location never updated when I moved. Also, after
a while the maps display froze and tapping the "minimize" button did nothing.
After a long time (a minute or two) it suddenly asked me to select a WLAN
(which I didn't) and minimized correctly. However, it still did not update. The
GPS icon in the main display (which I assume is hardware-based) was steady, and
indicated "fine resolution" when clicked, but in the maps application it was
crossed over. 

Using eCoach instead I did get continous updates of the position as I walked
around.

I had disabled network positioning in the setup for "Location", and the maps
were there. Seems like nokia-maps assumes internet access at some point no
matter what, and doesn't do anything interesting if it doesn't have it. This
would appear to be a bug.

I think it's important that the device works also when one is travelling and
has access to neither WLAN nor a mobile network. I'd say this is one of the
main use cases for the GPS. It does not make sense to ask whether to connect
whenever one comes across a new WLAN. I think an offline mode would be a good
idea.
Comment 102 Quim Gil nokia 2009-12-17 17:23:47 UTC
If you can confirm that Ovi Maps has problems when no wlan or data connectivity
is available then please open a new bug. This one is now only for "Maps can't
get GPS lock without network connection when the GPS lock acquiring would take
longer".

Thanks! Addressing several problems in different bugs is helpful for finding
the solutions for each problem.
Comment 103 Andre Klapper maemo.org 2009-12-18 14:33:06 UTC
*** Bug 7100 has been marked as a duplicate of this bug. ***
Comment 104 Quim Gil nokia 2009-12-19 14:54:25 UTC
Hi, just a heads up about Bug 7026 looking for serious testers (not getting a
lock with several satellites at view). Note that if we find a pattern and a fix
there the relevance of this bug here will be smaller.
Comment 105 EC 2009-12-20 14:22:25 UTC
Using the desktop GPS widget in offline mode under clear sky i can't get a fix
in 30 minutes of continuous trying, but in my bedroom and using network (wifi)
the widget fixes with an error of 35m (it finds me on the other side of the
street). It seems that without network connection the software doesn't even TRY
to get a fix...
Comment 106 Quim Gil nokia 2009-12-21 01:12:41 UTC
Can you please try this?

0. SIM card inserted.
1. Settings - Location - Network positioning ENABLED
2. Settings - Internet connection - Connect automatically ALWAYS ASK
3. Settings - Phone - Data roaming ALWAYS ASK
4. Settings - Phone - Data counter - write down values or CLEAR
5. Start Ovi Maps. 
6. Cancel all requests to connect or download data.

Does Ovi Maps show your location, even if approximate (coarse accuracy)? If so,
how long does it take to provide a lock?

Looking forward to your results.
Comment 107 David Greaves 2009-12-21 01:47:18 UTC
@quim

I also made sure to disconnect from local wifi as step 0.5

Ovi Maps thinks I am about 2km away.

I happen to know where my local ADSL exchange is; and that is *exactly* where
Ovi thinks I am. This may be a coincidence; it may not :)

It took <1 minute to say this.
Comment 108 Quim Gil nokia 2009-12-26 13:49:22 UTC
I have re-submitted a bug concentrating on the fact that Ovi Maps only tries to
find a GPS lock during 1 minute, when many unassisted locks are coming withing
1-3 minutes and even longer. I have proposed to give up only after 15 minutes.

Note that the pre-installed Location widget tries to get a fix during 5
minutes. Try it out if you haven't done so before:

Desktop edit mode -> Add widget -> Location
Comment 109 Andrea Grandi 2009-12-26 14:00:49 UTC
(In reply to comment #108)
> I have re-submitted a bug concentrating on the fact that Ovi Maps only tries to
> find a GPS lock during 1 minute, when many unassisted locks are coming withing
> 1-3 minutes and even longer. I have proposed to give up only after 15 minutes.
> 
> Note that the pre-installed Location widget tries to get a fix during 5
> minutes. Try it out if you haven't done so before:
> 
> Desktop edit mode -> Add widget -> Location
> 

Hi Quim, for me it's impossible to use the Location widget without an Internet
connection:

- I've added it to the desktop
- I press the button to start it and it asks me for an internet connection
- I don't let the N900 connect to the Internet
- the widget says "cannot download map data"

p.s: I'm using the 5.0/+ version of the firmware....
Comment 110 Quim Gil nokia 2009-12-26 15:20:56 UTC
fwiw there is a summary of interesting input in this bug report relative to
getting unassisted GPS locks at Bug 7026 Comment #37(In reply to comment #109)

> (In reply to comment #108)

> Hi Quim, for me it's impossible to use the Location widget without an Internet
> connection:
> 
> - I've added it to the desktop
> - I press the button to start it and it asks me for an internet connection
> - I don't let the N900 connect to the Internet
> - the widget says "cannot download map data"

But this is a different problem: it shows that you have got a lock, then the
widget tried to download the map data of the area where you are but it can't do
it without an Internet connection (obviously).

I bet you're visiting your parents in Italy and you don't have the Italian maps
on your device.  :)

Thanks for your test, it shows that you got a lock indeed. Do you recall how
long did it take between pressing the button of the widget and getting the
cannot download map data" prompt?
Comment 111 Quim Gil nokia 2009-12-26 15:33:50 UTC
Also sorry for being unclear but the tests done without GPS assistance and with
with apps other than Ovi Maps (Location widget, location-test-ui, GPXView...)
must be reported at Bug 7026 (Can't get a GPS lock with several satellites at
view) since this one is now only about Ovi Maps giving up after 1 minute of
search. Thanks!
Comment 112 Andrea Grandi 2009-12-26 16:38:09 UTC
(In reply to comment #110)
> But this is a different problem: it shows that you have got a lock, then the
> widget tried to download the map data of the area where you are but it can't do
> it without an Internet connection (obviously).
> 
> I bet you're visiting your parents in Italy and you don't have the Italian maps
> on your device.  :)

yes, I'm in Italy right now :)

But... when Andrew Flegg blogged the instruction about how to download the
whole OVI maps, I installed both italian and spanish maps on my N900 so I
should have them already installed on the device.

I can try this:

- I could let the device to download the map (if it thinks it's not installed)
- I disconnect
- I wait some minutes and I try to use the widget again

> 
> Thanks for your test, it shows that you got a lock indeed. Do you recall how
> long did it take between pressing the button of the widget and getting the
> cannot download map data" prompt?

just few seconds. I was inside my home and close to a window.
Comment 113 Jordan 2009-12-27 13:55:09 UTC
Hi people,
  In case Quim is still looking for test case data, here's what I came up with
during the course of four different tests:

- As predicted, trying to get a lock on a location from within Ovi maps was
completely impossible with Network-assisted locating turned off, or if it was
turned on, and I refused to let the device connect to a network.

- Using the Location Test application, I was reliably able to obtain a lock
after the device had located 8-9 satellites (which usually took 2-5 minutes,
even under sub-optimal conditions).  

- Closing the Location Test application apparently causes the device to release
its satellite lock, and the chances of Ovi Maps being able to pick it up again
are evidently rather small (in my tests, it didn't happen).  Consequently I
might suggest leaving Location Test open permanently - if it weren't for the
fact that the application starts vigorously demanding network access the second
it gets a location lock.  Why it does this is beyond me; I didn't think the
thing even had a map component.  

Hope something in all that proves useful!
Comment 114 Quim Gil nokia 2009-12-28 01:13:34 UTC
Thanks Jordan! Yes, test reports are still welcome but remember that the place
to post them is Bug 7026 . Thank you!
Comment 115 Eero Tamminen nokia 2009-12-28 12:04:29 UTC
(In reply to comment #109)
> Hi Quim, for me it's impossible to use the Location widget without an Internet
> connection:
> 
> - I've added it to the desktop
> - I press the button to start it and it asks me for an internet connection
> - I don't let the N900 connect to the Internet
> - the widget says "cannot download map data"
...
(In reply to comment #112)
> But... when Andrew Flegg blogged the instruction about how to download the
> whole OVI maps, I installed both italian and spanish maps on my N900 so I
> should have them already installed on the device.

Got an awful suspicion about this...  Can you strace Maps and location widget
and see whether they try to access the Maps data from the same location?

Strace is available from the SDK tools repo, see:
  http://wiki.maemo.org/Documentation/devtools/maemo5#Installation

you may want to limit the things you track only to file access:
  strace -e trace=file -f -p <PID>
Comment 116 Lucas Maneos 2010-01-07 19:21:20 UTC
(In reply to comment #115)
> Got an awful suspicion about this...  Can you strace Maps and location widget
> and see whether they try to access the Maps data from the same location?

I think I can confirm your suspicion...

Location widget (/usr/lib/nokiamaps-navigation-provider/nm-nav-provider):

[pid  1665] stat64("/home/user/MyDocs/.map_tile_cache/XXX.png",
{st_mode=S_IFREG|0644, st_size=14423, ...}) = 0
[pid  1665] open("/home/user/MyDocs/.map_tile_cache/XXX.png",
O_RDONLY|O_LARGEFILE) = 11


Maps:

[pid  1672] open("/home/user/MyDocs/cities/diskcache/X/Y/Z.cdt",
O_RDONLY|O_LARGEFILE) = 38
Comment 117 Eero Tamminen nokia 2010-01-11 18:49:52 UTC
(In reply to comment #116)
> (In reply to comment #115)
>> Got an awful suspicion about this...  Can you strace Maps and location
>> widget and see whether they try to access the Maps data from the same
>> location?
> 
> I think I can confirm your suspicion...

Thanks, could you file a separate bug about this?
Comment 118 bugs.maemo.org@falkensweb.com 2010-01-11 19:32:58 UTC
'should use the same cache' bug : #7814
Comment 119 Quim Gil nokia 2010-01-12 16:20:44 UTC
One interesting finding: currently the Maps application will disable the GPS 30
seconds after the screen gets blank, or the application gets minimized. This is
done to save power.

If you have the default setting of 30 seconds for display timeout, you start
Maps and you leave the device on a table or somewhere in your car, the
unassisted GPS will search for 30 seconds (display on) + 30 seconds (display
dimmed). One minute only.

I have my Display settings at 2 minutes always, and this might be one reason
why as an average I'm getting better result than many of you.

This also probably explains many of these frustrated cases of no-locks after
having a device on a window, car or pocket during hours. And the "solution"
explained by some of having open simultaneously Maps AND location-test-gui
(that polls GPS continuously unless you stop it, minimized or not, dimmed or
not).
Comment 120 kiralema 2010-01-14 11:05:05 UTC
Hello,
This is my first post here, so please don't throw stones at me.
Here what just worked for me and magically healed my N900 GPS:
Installing offline Nokia Ovi region maps from
http://handphone-solution.blogspot.com/2009/07/direct-download-for-ovi-maps-30-without.html
(instructions on the site) for my local region (Alberta/Canada) allowed me to
get very quick (15-20 sec.) satellite lock in Ovi Maps without any Internet
connection. I even made a short trip around town and had a strong lock all the
time without any GPRS connection.
Initially, I noticed that I could get a lock very quickly once my WiFi
connection was on, and the maps could be updated directly from Nokia via
Internet. Naturally I thought that Ovi Maps may require the preloaded region
maps prior to allowing getting the lock. So, as it may seem, the culprit is the
way how Ovi Maps operates, and not the 30 sec. timeout due to power saving
mode. Can anybody confirm my experience?
Comment 121 wheelybird 2010-01-14 11:09:36 UTC
Hello.

No, I've downloaded most of Europe to my N900 and Ovi maps still absolutely
insists on an internet connection of some kind.  In fact, it's so persistent in
attempting to get a connection that I had to force the application to shutdown
to get rid of the continual connection selection pop-ups.

(In reply to comment #120)
> Hello,
> This is my first post here, so please don't throw stones at me.
> Here what just worked for me and magically healed my N900 GPS:
> Installing offline Nokia Ovi region maps from
> http://handphone-solution.blogspot.com/2009/07/direct-download-for-ovi-maps-30-without.html
> (instructions on the site) for my local region (Alberta/Canada) allowed me to
> get very quick (15-20 sec.) satellite lock in Ovi Maps without any Internet
> connection. I even made a short trip around town and had a strong lock all the
> time without any GPRS connection.
> Initially, I noticed that I could get a lock very quickly once my WiFi
> connection was on, and the maps could be updated directly from Nokia via
> Internet. Naturally I thought that Ovi Maps may require the preloaded region
> maps prior to allowing getting the lock. So, as it may seem, the culprit is the
> way how Ovi Maps operates, and not the 30 sec. timeout due to power saving
> mode. Can anybody confirm my experience?
>
Comment 122 Quim Gil nokia 2010-01-14 11:31:53 UTC
(In reply to comment #121)
> No, I've downloaded most of Europe to my N900 and Ovi maps still absolutely
> insists on an internet connection of some kind.

Settings -> Location -> Network positioning NOT enabled.

Please try Ovi maps somewhere outside in open air and let us know the result
after 10-15 minutes without minimizing the application or letting the screen
dim. You might have better chances of success.

fyi we are discussing on the changes to have the Maps app polling the GPS for a
longer period even if the app is minimized or the display is dimmed/locked.
Comment 123 kiralema 2010-01-14 11:42:44 UTC
That is discouraging. In my case, what I did after I downloaded the maps and
restarted the Ovi Maps applicaiton, I simply rejected that annoying "choose
Internet connection" message. But after a few seconds I still get a lock. Can
you get a lock being online with a local WiFi connection on? Perhaps it is
initially required to preload satellite positions from the Nokia remote server
or something...


> No, I've downloaded most of Europe to my N900 and Ovi maps still absolutely
> insists on an internet connection of some kind.  In fact, it's so persistent in
> attempting to get a connection that I had to force the application to shutdown
> to get rid of the continual connection selection pop-ups.
> 
> (In reply to comment #120)
Comment 124 Venomrush 2010-01-14 13:28:38 UTC
FYI location-test-gui got updated
Comment 125 Alexey Selivanov 2010-01-15 15:29:01 UTC
This info may be useful: my N900 failed to find satellites on its own so I
tried to use 5800 as an external GPS device via bluetooth. And this didn't work
either: N900 was still unable to use GPS data from external device and show map
position, while 5800 tracked the route successfully.
I tried this a week ago on 1.2009.42-11.002, haven't updated to .51 yet. I can
send the logs files if it helps.
Comment 126 Vitaly Bordyug 2010-01-15 19:00:32 UTC
(In reply to comment #125)
> This info may be useful: my N900 failed to find satellites on its own so I
> tried to use 5800 as an external GPS device via bluetooth. And this didn't work
Were you using 

http://www.joiku.com/index.php?action=products&mode=productDetails&product_id=351

or just stock 5800? Just for clarity...
Comment 127 Alexey Selivanov 2010-01-15 20:06:50 UTC
(In reply to comment #126)
> (In reply to comment #125)
> > This info may be useful: my N900 failed to find satellites on its own so I
> > tried to use 5800 as an external GPS device via bluetooth. And this didn't work
> Were you using 
> 
> http://www.joiku.com/index.php?action=products&mode=productDetails&product_id=351
> 
> or just stock 5800? Just for clarity...
> 

Just stock 5800 connected as an external bluetooth GPS via standard Settings ->
Location -> GPS Device dialog.
Comment 128 Quim Gil nokia 2010-01-18 11:32:26 UTC
(In reply to comment #125)
> This info may be useful: my N900 failed to find satellites on its own so I
> tried to use 5800 as an external GPS device via bluetooth. And this didn't work
> either: N900 was still unable to use GPS data from external device and show map
> position, while 5800 tracked the route successfully.
> I tried this a week ago on 1.2009.42-11.002, haven't updated to .51 yet. I can
> send the logs files if it helps.

Yes please! Actually please file a new bug with all the information since it is
different than "Ovi Maps gives up finding GPS lock too soon". Thank you!
Comment 129 I/O 2010-01-18 12:04:42 UTC
With latest firmware (2009.51-1) and OVI Maps I can get gps signal with wap
connection (not only in wifi), but I need to mantain backlight display ON
touching it until N900 can get signal. After it has signal, the backlight
display remain turned ON.
I didn't test if N900 (OVI Maps) can get gps signal without internet
connection.
Comment 130 zdravko.nikolov 2010-01-19 15:07:04 UTC
Hi,

Just to clarify, I have been doing some tests with and without external gps.
The external gps is freedom keychain 2000. This was done with both 4x and 5x
fw. The result is that the internal GPS is not working properly, while the
external one worked everytime. This is with a-gps turned off. With the 5x fw I
can make the internal gps get a lock after a reboot but is a lot more
unpredictable and unreliable than using external gps. Bottom line is that
internal gps is not up to the standard. Well..for a 500£ device....??? Hope
this is fixed sooner than later.
Comment 131 Quim Gil nokia 2010-01-19 15:44:39 UTC
The plan now is to provide a fix to keep Maps searching for a GPS lock for a
longer period even if the app is minimized or the screen is dimmed.
Comment 132 SaintGermain 2010-01-20 01:15:26 UTC
In relation to my investigation on bug 7026 I would like to report the
following results with my PR 1.1 N900:
1) Without network assistance (but with Network positioning enabled), I managed
to get a fix with location-test-gui. Then I close location-test-gui and open
Ovi Maps and managed to get positionning almost instantly.
2) Without network assistance (but with Network positioning enabled), I cleared
the GPS cache with clear-gps-cache and open Ovi Maps. After roughly 2 mn I got
the "GPS not available" message and the GPS symbol is crossed with a red line.

=> It appears that Ovi Maps still gives up to soon (after 2 mn only).

I haven't tried Ovi Maps with Network positioning disabled. Will do it tomorrow
!

I haven't tried with
Comment 133 Peter D'Hoye 2010-02-02 10:57:43 UTC
I can confirm this bug which makes Maps useless for me. I currently don't have
a data plan, and Ovi Maps does not get a fix. Instead, it pops up a screen to
connect to wifi (about every 10 seconds or so, so you can't even use the damn
program)
If I go to the location widget I have on the desktop, it finds a fix pretty
fast, after which Ovi Maps also sees it. But it keeps popping up the network
connection screen.
End result: GPS is a marketing gimmick, not usable at all.
Comment 134 mariusz.sapinski 2010-02-07 21:29:24 UTC
Do you think this bug will be fixed? I consider buying N900, but without
working GPS it is not worth the money.
Comment 135 Rüdiger Schiller 2010-02-08 14:55:54 UTC
(In reply to comment #134)
> Do you think this bug will be fixed? I consider buying N900, but without
> working GPS it is not worth the money.  
> 

Target Milestone 5.0+ with priority medium means yes but maybe not in the next
release.

I did try to get a gps fix within programs (Maep, Location Widget, Ovi) for
days now, Maep did not get a fix with disabled network location (wifi on)
either, need to do further testing (did once a day for 30min over 4 days)on
this but maybe this needs another look into if its 'only' Ovi Maps or the
framework.
Comment 136 Jamie Lokier 2010-02-08 15:58:08 UTC
(In reply to comment #135)
> maybe this needs another look into if its 'only' Ovi Maps or the framework.

Having had a few device crashes (needing reboot, couldn't use the "minimise"
button) when Ovi Maps was running, and other very strange things like it
jumping back and forth between initial location of a journey and current
location (miles away) very rapidly (every few seconds), and seen more
behavioural oddities when running location-test-gui at the same time as Maps,
rather than just Maps by itself, I suspect there is a problem in the Location
framework itself.  (Apart from Ovi Maps' other bugs).  Simply because I
wouldn't expect location-test-gui to make much difference to Maps behaviour if
the framework was working fine.
Comment 137 Eero Tamminen nokia 2010-02-08 17:51:05 UTC
(In reply to comment #136)
> Having had a few device crashes (needing reboot, couldn't use the "minimise"
> button) when Ovi Maps was running,

Power button / End current task => Terminates top application if its frozen
Ctrl+Backspace => Opens task switcher
Comment 138 bugs.maemo.org@falkensweb.com 2010-02-08 19:59:47 UTC
@Jamie, please open separate bugs for separate issues :-)
Comment 139 Andre Klapper maemo.org 2010-02-09 20:13:43 UTC
This will be fixed in nokia-maps-ui (0.2.1-3).
Now we will look for GPS fix for up to 10 minutes.
If not found, GPS look-up will be shut down.
On minimize we do nothing, if look-up is in progress it will work for up to 10
minutes. While suspended if fix found, GPS will get shut down and last known
position remembered. On maximize we will start new look-up cycle for max 10
minutes.

Closing as FIXED once this has been verified internally.
Comment 140 Rodrigo Linfati 2010-02-09 20:44:09 UTC
why 10 min?

the common time to fix in cold mode [1] is about 15 min in the worst case.

[1] http://en.wikipedia.org/wiki/Time_to_first_fix
Comment 141 Andre Klapper maemo.org 2010-02-09 21:09:25 UTC
"Because 10 minutes was agreed on after 3 days of internal mail discussions"
Comment 142 Quim Gil nokia 2010-02-09 21:20:44 UTC
Also, if you look the long list of tests in Bug 2076 you will see that most
locks come withn 1-3 minutes. Maybe then you still have a chance under 3-5
minutes. Beyond that you are most probably out of luck.

Still, you might be driving a circumstances might change few minutes later.

10 minutes makes sense to me. Note that satellite search has an impact in power
management.
Comment 143 Andre Klapper maemo.org 2010-02-23 14:55:01 UTC
This has been fixed in package
nokia-maps-ui 0.2.1-3+0m5
which is part of the internal build version
10.2010.07-6
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 144 Andre Klapper maemo.org 2010-03-15 20:54:53 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 145 Andrea Grandi 2010-03-15 20:57:07 UTC
(In reply to comment #144)
> Setting explicit PR1.2 milestone (so it's clearer in which public release the
> fix will be available to users).
> 
> Sorry for the bugmail noise (you can filter on this message).
> 

but... have you fixed it or have you just marked it as WORKSFORME :D ?!
Comment 146 Andre Klapper maemo.org 2010-03-15 21:15:47 UTC
(In reply to comment #145)
> but... have you fixed it or have you just marked it as WORKSFORME :D ?!

The status here is obviously FIXED.
Comment 147 roronoa zoro 2010-05-31 16:04:53 UTC
yea yea do something bot it
Comment 148 Xavier Claessens 2010-05-31 17:27:57 UTC
So this weekend I used the N900 (upgraded to PR1.2) in my car. I don't have
cheap 3G plan so I almost never connect it. I tried the 7days trial of "Mobile
Maps Application":
http://store.ovi.com/content/30043?clickSource=related%2Bcontent&contentArea=applications

Starting the app when offline will never get a fix, but if I connect to 3G it
gets a fix in no time, then disconnecting 3G and it continue working fine....
until I drive in a tunnel... it never gets a fix back.

So please don't tell it needs any assistance, the tunnel was ~200m long...

Any GPS (even Nokia's) get a fix within 10s without any internet connection.
N810 and N900 both are totally crap for this.

Why is this bug marked FIXED?
Comment 149 I/O 2010-05-31 17:46:37 UTC
(In reply to comment #148)
> So this weekend I used the N900 (upgraded to PR1.2) in my car. I don't have
> cheap 3G plan so I almost never connect it. I tried the 7days trial of "Mobile
> Maps Application":
> http://store.ovi.com/content/30043?clickSource=related%2Bcontent&contentArea=applications
> 
> Starting the app when offline will never get a fix, but if I connect to 3G it
> gets a fix in no time, then disconnecting 3G and it continue working fine....
> until I drive in a tunnel... it never gets a fix back.
> 
> So please don't tell it needs any assistance, the tunnel was ~200m long...
> 
> Any GPS (even Nokia's) get a fix within 10s without any internet connection.
> N810 and N900 both are totally crap for this.
> 
> Why is this bug marked FIXED?
> 

Maybe it is a problem of your N900 (maybe the problems is caused by old
configuration files before fw upgrade): try to reflash with flasher and restore
contacts only.

There aren't problems for me. The N900's GPS chip is almost perfect, much
better of N95 that I had.
Comment 150 Quim Gil nokia 2010-06-01 08:17:23 UTC
The fix is explained at Comment #139

Is Ovi Maps searching for a GPS during 10 minutes in your device?
Comment 151 Will 2010-06-04 13:33:04 UTC
Users might wish to read the following:

https://bugs.maemo.org/show_bug.cgi?id=10511
Comment 152 kilo60 2010-10-11 09:54:10 UTC
I am in istanbul now with my new n900 and trying to save money i leave offline
all the day. During 3 days i had only 2 position locks. when it locks it
maintain the position quite well but the first positioning is terrible. my
software is the last available.
Comment 153 Juha 2012-03-08 14:47:51 UTC
(In reply to comment #150)
> The fix is explained at Comment #139
> 
> Is Ovi Maps searching for a GPS during 10 minutes in your device?

I see pretty consistent (and odd!) behaviour with the following simple test
case.

- Configure Internet connections as ALWAYS ASK
- Configure Location NOT to use Network positioning
- Add the Location widget to desktop
- Turn internet connections off
- Power on the Location widget. Or use the GPSData app.
  (I dont use Ovi MAPS because its so slow.)

Now, for some reason that I dont understand, N900 is prompting me for Internet
connection.  WHY?  I never asked for network assist. Top priority is to save
battery life on long lasting activities.

However, If I then give it the connection, it locks instantly. Again, without
any supl.xxx.com connection apparently active. I try to always remember to
disconnect after that and hope for the best...no tunnels etc. 

WHAT exactly is needed for totally unassisted GPS lock?